%define name gtkfind
%define release 6mdk
%define version 1.1

Summary  : A graphical file finding program
Name     : %{name}
Version  : %{version}
Release  : %{release}
License: GPL
Group    : File tools
Source0  : %{name}-%{version}.tar.bz2
URL      : http://www.oz.net/~mattg/download.html
Prefix   : /usr/X11R6
BuildRoot: %{_tmppath}/%{name}-buildroot
Buildrequires: xterm libgtk+1.2-devel

%description
gtkfind is a graphical file finding program, written by Matt Grossman
<mattg@oz.net> and distributed under the terms of the GNU GPL.  It
requires X and the freely distributable (GPL) gtk toolkit to run.  gtk
is available from www.gtk.org and other places.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build
%configure

%make

%install
XBD=$RPM_BUILD_ROOT/usr/X11R6/bin
XMD=$RPM_BUILD_ROOT%{_mandir}/man1
test -d $XBD || mkdir -p $XBD
test -d $XMD || mkdir -p $XMD
install -s -m 555 gtkfind $XBD
install -m 444 gtkfind.1 $XMD

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/X11R6/bin/gtkfind"\
title="Gtkfind"\
longtitle="Graphical file finding program"\
needs="x11"\
icon="file_tools_section.png"\
section="Applications/File tools"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}  


%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc README COPYING INSTALL
/usr/X11R6/bin/*
%{_mandir}/man1/*
%{_libdir}/menu/*


%changelog
* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com 1.1-6mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com 1.1-5mdk
- rebuild

* Fri Jun 14 2002 Lenny Cartier <lenny@mandrakesoft.com 1.1-4mdk
- buildrequires

* Wed Jan 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1-3mdk
- icon

* Wed Jul 25 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.1-2mdk
- rebuild

* Mon Sep 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- BM
- macros 
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.9-2mdk
- fix group
- fix files section

* Wed Dec 22 1999 Lenny Cartier <lenny@mandrakesoft.com>
- fix location of files
- bz2 archive

